Package com.collibra.dgc.core.api.model.assignment

# Interface AssignedCharacteristicType

All Superinterfaces:
  `Entity`, `Serializable`

All Known Subinterfaces:
  `AssignedAttributeType`, `AssignedComplexRelationType`, `AssignedRelationType`

@Deprecated(since="2025.04", forRemoval=true) public interface AssignedCharacteristicType extends Entity
Deprecated, for removal: This API element is subject to removal in a future version.
Deprecated in favour of `AssignedCharacteristicTypeReference`
Represents generic characteristic type assigned to resource.

Assigned characteristic type can be attribute type, relation type or complex relation type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAssignedCharacteristicTypeDiscriminator()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `UUID`
  `getAssignedResourceId()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns the UUID of the resource that the characteristic refers to.
  `@NotNull ResourceType`
  `getAssignedResourceType()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  `Integer`
  `getMaximumOccurrences()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns how many times the assigned attribute may be added to the resource.
  `int`
  `getMinimumOccurrences()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns how many times at least the assigned attribute must be added to the resource.
  `boolean`
  `isReadOnly()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  ReadOnly set to true means that characteristic value of the assigned type cannot be edited by the user.
  `boolean`
  `isSystem()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  System set to true means that characteristic type cannot be unassigned.

  ### Methods inherited from interface Entity

  `getId, setId`

- ## Method Details

  - ### getMinimumOccurrences

    int getMinimumOccurrences()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns how many times at least the assigned attribute must be added to the resource. Zero means no restriction.
    Returns:
      number of minimum occurrences of the attribute

  - ### getMaximumOccurrences

    Integer getMaximumOccurrences()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns how many times the assigned attribute may be added to the resource.
    Returns:
      maximum occurrences number of the attribute

  - ### isReadOnly

    boolean isReadOnly()
    Deprecated, for removal: This API element is subject to removal in a future version.
    ReadOnly set to true means that characteristic value of the assigned type cannot be edited by the user.
    Returns:
      true if the attribute value is read only

  - ### isSystem

    boolean isSystem()
    Deprecated, for removal: This API element is subject to removal in a future version.
    System set to true means that characteristic type cannot be unassigned.
    Returns:
      true if the characteristic type is system

  - ### getAssignedResourceId

    UUID getAssignedResourceId()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the UUID of the resource that the characteristic refers to.
    Returns:
      the UUID of the resource that the characteristic refers to

  - ### getAssignedResourceType

    @NotNull @Deprecated(since="2024.10", forRemoval=true) @NotNull ResourceType getAssignedResourceType()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the type of the resource the characteristic refers to. The possible values are restricted to `ResourceType.AttributeType`, `ResourceType.RelationType` and `ResourceType.ComplexRelationType`.
    Returns:
      the `ResourceType` of the resource the characteristic refers to

  - ### getAssignedCharacteristicTypeDiscriminator

    String getAssignedCharacteristicTypeDiscriminator()
    Deprecated, for removal: This API element is subject to removal in a future version.